<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.muyu</groupId>
        <artifactId>cloud-etl-rule</artifactId>
        <version>1.0.0</version>
    </parent>

    <artifactId>cloud-rule-server</artifactId>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>


    <dependencies>

        <!-- SpringCloud Alibaba Nacos -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!-- SpringCloud Alibaba Nacos Config -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>

        <!-- SpringCloud Alibaba Sentinel -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
        </dependency>

        <!-- SpringBoot Actuator -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

        <!-- Mysql Connector -->
        <dependency>
            <groupId>com.mysql</groupId>
            <artifactId>mysql-connector-j</artifactId>
        </dependency>

        <!-- MuYu Common DataSource -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-datasource</artifactId>
        </dependency>

        <!-- MuYu Common DataScope -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-datascope</artifactId>
        </dependency>

        <!-- MuYu Common Log -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-log</artifactId>
        </dependency>

        <!-- 接口模块 -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-api-doc</artifactId>
        </dependency>

        <!-- XllJob定时任务 -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-xxl</artifactId>
        </dependency>
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-rabbit</artifactId>
        </dependency>
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-rule-common</artifactId>
        </dependency>
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-nacos-api</artifactId>
        </dependency>
        <!-- 热部署 -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-devtools</artifactId>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-etl</artifactId>
            <version>1.0.0</version>
        </dependency>

    </dependencies>

    <build>
        <finalName>cloud-etl-rule</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <!-- 加入maven deploy插件，当在deploy时，忽略些model-->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-deploy-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                </configuration>
            </plugin>
        </plugins>
    </build>




</project>
